
public interface Map {
	// Restituisce il numero degli elementi nella mappa
	public int size();

	// Restituisce true se la mappa  vuota
	 public boolean isEmpty();

	 // Inserisce una coppia chiave-valore nella mappa, 
	 // rimpiazzando il precedente se esiste 
	public Object put(Object key, Object value) throws InvalidKeyException;
	
	// Restituisce il valore associato alla chiave key
	public Object get(Object key) throws InvalidKeyException;

	// Rimuove la coppia chiave-valore specificata da key
	public Object remove(Object key) throws InvalidKeyException;

	// Restituisce un iteratore su tutte le chiavi della mappa
	public Iterator keys();	
	 
	// Restituisce un iteratore su tutte i valori della mappa
    public Iterator values();	


}
